13 Replies Latest reply on Sep 23, 2014 8:33 AM by Chris Johnson

    swDetailingLinearDimPrecisionLinkWithModel

    Chris Johnson

      HI All, im trying to set a user pref (like i have done many times before) but this one doesnt seem to be working...

      do you see anything wrong with my code?

       

      Sub Main()

         

      Dim swApp                 As SldWorks.SldWorks
      Dim swModel               As SldWorks.ModelDoc2
          'Connect to Solidworks & active document
          Set swApp = Application.SldWorks
          Set swModel = swApp.ActiveDoc
              'Verify there is an active document before continuing any further.
                  If swModel Is Nothing Then
                  Exit Sub
                  End If

       

              'Check if ActiveDoc is a Drawing
                  If (swModel.GetType = swDocDRAWING) Then
                      swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swDetailingLinearDimPrecisionLinkWithModel, False
                  End If

      End Sub

       

      thank you!

      Chris